Skip to main content
GET
/
user
/
addresses
List addresses
curl --request GET \
  --url https://api.managem.co.uk/user/addresses \
  --header 'Authorization: Bearer <token>'
[
  {
    "label": "home",
    "type": "shipping",
    "line1": "67 Test Close",
    "city": "Petersfield",
    "state": "Hampshire",
    "postalCode": "GU322JX",
    "country": "GB",
    "loqateId": "GB|RM|A|10321882|ENG",
    "isValidated": true,
    "isPrimary": true,
    "id": "cmausk7ty0001640xpr4efrul",
    "createdAt": "Mon May 19 2025 08:56:31 GMT+0100 (British Summer Time)",
    "updatedAt": "Mon May 19 2025 08:56:31 GMT+0100 (British Summer Time)"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

A list of addresses

type
enum<string>
required

Type of address, 'shipping' or 'billing'

Available options:
shipping,
billing
line1
string
required

First line of the formatted address

Minimum string length: 1
city
string
required

City or town

Minimum string length: 1
state
string
required

State or province name

postalCode
string
required

Postal or ZIP code

Minimum string length: 1
country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
id
string
required

Unique identifier for the address

label
string | null

A recognisable label for the address, e.g. "Home", "Work"

line2
string | null

Second line of the formatted address

loqateId
string | null

The LoqateID of the address, if applicable

isValidated
boolean | null
default:false

Whether the address has been validated using Loqate

isPrimary
boolean | null
default:false

Whether the address is the primary address for this type

createdAt
string | null

Timestamp when the address was created

updatedAt
string | null

Timestamp when the address was last updated